﻿var hubber = $.connection.progressHub;

$(function () {
    $.connection.hub.logging = true;
    $.connection.hub.start().done(function () {
        $("#progress").css("width", 0 + '%');
        $('#progress').attr('aria-valuenow', 0);
        hubber.server.handleMessage("Looking for connection...");

    });
    hubber.client.processMessage = function (message, value) {

        if (value > $('#progress').attr('aria-valuenow')) {
            $("#progress").css("width", value + '%');
            $('#progress').attr('aria-valuenow', value);
            $("#progress").html(value + '%');
            $("#result").html(message);
        }
    };
});

function addtoHive() {

    var jobname = prompt("Please enter a job name", "Job");
    if (jobname && jobname != "" && jobname != null) {
        hubber.server.changeName(jobname);
        document.getElementById("fakehiveadd").style.display = "none";
        document.getElementById("progdiv").style.display = "";
        document.getElementById("result").style.display = "";
        document.getElementById("realhiveadd").click();
    }
}
function toggleChild(arr, idchilds) {
    console.log(arr + " toggled");
    hubber.server.toggleChild(arr);
    if ($("#childs" + idchilds).css("display") == "none")
        $("#childs" + idchilds).css("display", "");
    else
        $("#childs" + idchilds).css("display", "none");
}
function changePriority(arr, prior, idprior) {
    console.log(arr + " to priority " + prior);
    hubber.server.changePriority(arr, prior);
    resetPrior(idprior);
    switch (prior) {
        case 0:
            document.getElementById("prior" + idprior).className += "btn-default";
            document.getElementById("prior" + idprior).innerHTML = "Low"
            break;
        case 1:
            document.getElementById("prior" + idprior).className += "btn-info";
            document.getElementById("prior" + idprior).innerHTML = "Normal"
            break;
        case 2:
            document.getElementById("prior" + idprior).className += "btn-warning";
            document.getElementById("prior" + idprior).innerHTML = "Urgent"
            break;
        case 3:
            document.getElementById("prior" + idprior).className += "btn-danger";
            document.getElementById("prior" + idprior).innerHTML = "Critical";
            break;
    }
    document.getElementById("prior" + idprior).innerHTML += "<span class='caret'></span>";
}
function resetPrior(id) {
    document.getElementById("prior" + id).className = "btn dropdown-toggle ";
}