﻿using HeuristicLab.Clients.Hive.WebJobManager.ViewModels;
using Microsoft.AspNet.Hosting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;

namespace HeuristicLab.Clients.Hive.WebJobManager.Services
{
    public class FileOpeningService
    {
        public RefreshableJob Job { get; set; }
        public FileOpeningViewModel vm { get; set; }
        public IHostingEnvironment env { get; set; }
        public List<Guid> previousids {
            get; set; }
        public List<int> previousLogs { get; set; }
        private static FileOpeningService instance;
        public static FileOpeningService Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new FileOpeningService();
                }
                return instance;
            }
        }
        public void NewModel()
        {
            vm = new FileOpeningViewModel();
            Job = new RefreshableJob();
            Job.Job.Name = "init";
            
        }
        public void setTasks()
        {
            
            Job.HiveTasks.Add(vm.SelectedTask);
        }
        public void refreshJob()
        {
           // HiveClientWeb.Instance.Refresh();
            HiveClientWeb.LoadJob(Job);
        }

        public RefreshableJob AddCurrentModelToHive()
        {
            if (vm != null)
            {



                HiveServiceLocatorWebManagerService serv = (HiveServiceLocatorWebManagerService)HiveServiceLocatorWebManagerService.Instance;
                //job.Job.Id = serv.getHiveServiceClient().AddJob(job.Job);
                //  job.Job =  serv.getHiveServiceClient().GetJob(job.Job.Id);

                HiveClientWeb.CurrentEnv = env;
                HiveClientWeb.Instance.Refresh();
                HiveClientWeb.StartJob((ex) => { throw ex; }, Job, CancellationToken.None);
                return Job;
            }
            return null;
        }
    }
}
